Bug 246925 - net/miniupnpd: Update to 2.1.20200510
Summary: net/miniupnpd: Update to 2.1.20200510
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kevin Bowling
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-06-01 21:49 UTC by Tor Halvard Furulund
Modified: 2021-06-15 16:23 UTC (History)
6 users (show)

See Also:
ehaupt: maintainer-feedback? (squat)


Attachments
Patch against current ports. (11.51 KB, patch)
2020-06-01 21:49 UTC, Tor Halvard Furulund
squat: maintainer-approval+
Details | Diff
Revised patch (see my comment) (13.57 KB, patch)
2020-06-11 20:47 UTC, Emanuel Haupt
koobs: maintainer-approval? (squat)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Halvard Furulund 2020-06-01 21:49:38 UTC
Created attachment 215150 [details]
Patch against current ports.

Update to latest upstream.
Remove the extra patches as they are incorporated upstream and change from EXTRA_PATCHES to CONFIGURE_ARGS for the PORT_OPTIONS.
Comment 1 Automation User 2020-06-01 22:07:01 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/151755877
Comment 2 Emanuel Haupt freebsd_committer 2020-06-11 20:45:03 UTC
Thank you for your patch!

1. You've commented the IPF functionality:

+#if ${PORT_OPTIONS:MIPFW}
+#CONFIGURE_ARGS+= --firewall=ipfw
+#.endif

Was this intentional or can it be removed?

2. Same with AUTODETECT_FW. The option is defined but it does not seem to have a
handler.

3. Your patch indroduced a lot of unneccessary whitespaces. Try running
portlint -A (ports-mgmt/portlint) within the ports directory to catch those
errors.

4. Also, the OPTIONS handling can be simplified with OPTIONS helpers. See:
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html

5. I've created a patch to address most of the issues. Could you please apply it
and look into 1 and 2? Additionally I've run portfmt and portclippy
(ports-mgmt/portfmt) to address some indentation and formating issues.
Comment 3 Emanuel Haupt freebsd_committer 2020-06-11 20:47:12 UTC
Created attachment 215469 [details]
Revised patch (see my comment)
Comment 4 Li-Wen Hsu freebsd_committer 2020-08-13 09:53:26 UTC
(In reply to Tor Halvard Furulund from comment #0)
Please check and approve the patch in https://bugs.freebsd.org/bugzilla/attachment.cgi?id=215469 , thanks!
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-13 12:30:28 UTC
^Triage: Reset to Open, cannot be in progress without a (real) assignee)
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-13 12:30:59 UTC
Comment on attachment 215469 [details]
Revised patch (see my comment)

^Triage: Request maintainer approval on attachments using the maintainer-approval attachment flag
Comment 7 Daniel Engberg 2020-12-12 07:19:48 UTC
2.2 is released as of 31/10/2020
Comment 8 commit-hook freebsd_committer 2021-06-15 16:21:41 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=cf362d342ecd7f14d40cec250dd25df3e94e5c66

commit cf362d342ecd7f14d40cec250dd25df3e94e5c66
Author:     Emanuel Haupt <ehaupt@FreeBSD.org>
AuthorDate: 2021-06-15 16:17:15 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-15 16:17:15 +0000

    net/miniupnpd: Update to 2.1.20200510

    From Tor Halvard Furulund:
    * Update to latest upstream.
    * Remove the extra patches as they are incorporated upstream

    From Emanuel Haupt:
    * Port cleanups

    PR:             246925
    Reported by:    Tor Halvard Furulund <squat@squat.no>
    Approved by:    maintainer timeout, maintainer (previous version)

 net/miniupnpd/Makefile                             | 56 ++++++++++++----------
 net/miniupnpd/distinfo                             |  6 +--
 .../files/enable_check_portinuse.patch (gone)      | 11 -----
 net/miniupnpd/files/enable_igdv2.patch (gone)      | 11 -----
 net/miniupnpd/files/enable_ipv6.patch (gone)       | 11 -----
 net/miniupnpd/files/enable_leasefile.patch (gone)  | 11 -----
 .../files/enable_upnp_strict.patch (gone)          | 11 -----
 net/miniupnpd/files/extra-patch-portinuse.c (gone) | 49 -------------------
 .../files/{patch-Makefile => patch-Makefile.bsd}   | 12 ++---
 .../files/pf_enable_filter_rules.patch (gone)      | 11 -----
 10 files changed, 39 insertions(+), 150 deletions(-)
Comment 9 Kevin Bowling freebsd_committer 2021-06-15 16:23:21 UTC
Thanks for your contributions!
Comment 10 Kevin Bowling freebsd_committer 2021-06-15 16:23:40 UTC
(In reply to Daniel Engberg from comment #7)
If you are inclined submit a new PR with the latest release.